Bug 1776596 - Conformance is not running on 4.3 or 4.4
Summary: Conformance is not running on 4.3 or 4.4
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Unknown
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.0
Assignee: Sudha Ponnaganti
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1776595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-26 04:27 UTC by Clayton Coleman
Modified: 2020-05-15 02:58 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1776595
Environment:
Last Closed: 2020-05-15 02:58:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24288 None closed Bug 1776596: Enable conformance-k8s for 1.16 2020-05-20 19:33:27 UTC

Description Clayton Coleman 2019-11-26 04:27:08 UTC
+++ This bug was initially created as a clone of Bug #1776595 +++

We need to pass conformance now.

The 1.16 tests are taking too long, I will have to parallelize them.

Comment 4 Xingxing Xia 2019-12-17 13:54:51 UTC
Could you hint how to verify this or does it need QE to verify?
Checked the PR, it shows "Nightly conformance tests are run against release branches and reported https://openshift-gce-devel.appspot.com/builds/origin-ci-test/logs/periodic-ci-origin-conformance-k8s/". Let's click https://openshift-gce-devel.appspot.com/builds/origin-ci-test/logs/periodic-ci-origin-conformance-k8s --> then click "527" --> click "artifacts" --> click to enter "artifacts/e2e-conformance-k8s/", we come to https://gcsweb-ci.svc.ci.openshift.org/gcs/origin-ci-test/logs/periodic-ci-origin-conformance-k8s/527/artifacts/e2e-conformance-k8s/ page --> click "clusterversion.json", it returns https://storage.googleapis.com/origin-ci-test/logs/periodic-ci-origin-conformance-k8s/527/artifacts/e2e-conformance-k8s/clusterversion.json which shows "Cluster version is 0.0.1-2019-12-16-164253", this is not a nightly payload which should look like 4.3.0-0.nightly-2019-12-13-180405 format.
Please correct me if wrong. Thanks

Comment 6 Clayton Coleman 2020-05-15 00:43:58 UTC
This has been fixed by me reporting our conformance results.


Note You need to log in before you can comment on or make changes to this bug.